org.icefaces.ace.model.table

## Class DepthFirstHeadTraversal.CallbackAdapter<T,E extends java.lang.Throwable>

- java.lang.Object
- - org.icefaces.ace.model.table.DepthFirstHeadTraversal.CallbackAdapter<T,E>

- All Implemented Interfaces:
    DepthFirstHeadTraversal.Callback<T,E>
  Enclosing class:
    DepthFirstHeadTraversal<T,E extends java.lang.Throwable>

      public static class DepthFirstHeadTraversal.CallbackAdapter<T,E extends java.lang.Throwable>
      extends java.lang.Object
      implements DepthFirstHeadTraversal.Callback<T,E>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CallbackAdapter()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `afterChildrenTraversal(T state, DepthFirstHeadTraversal.Quantity level, java.util.List<Column> columns, java.util.List<Column> correspondingColumns)`
    `void` | `afterSpanTraversal(T state, DepthFirstHeadTraversal.Quantity level, java.util.List<Column> columns, java.util.List<Column> correspondingColumns, int headerIndex, int bodyIndex)`
    `void` | `afterStackedTraversal(T state, DepthFirstHeadTraversal.Quantity level, Column column, Column correspondingColumn, int headerIndex, int bodyIndex, int stackedIndex)`
    `void` | `afterSubtreeTraversal(T state, DepthFirstHeadTraversal.Quantity level)`
    `void` | `afterTraversal(T state, DepthFirstHeadTraversal.Quantity level)`
    `void` | `beforeChildrenTraversal(T state, DepthFirstHeadTraversal.Quantity level, java.util.List<Column> columns, java.util.List<Column> correspondingColumns)`
    `void` | `beforeSpanTraversal(T state, DepthFirstHeadTraversal.Quantity level, java.util.List<Column> columns, java.util.List<Column> correspondingColumns, int headerIndex, int bodyIndex)`
    `void` | `beforeStackedTraversal(T state, DepthFirstHeadTraversal.Quantity level, Column column, Column correspondingColumn, int headerIndex, int bodyIndex, int stackedIndex)`
    `void` | `beforeSubtreeTraversal(T state, DepthFirstHeadTraversal.Quantity level)`
    `void` | `beforeTraversal(T state, DepthFirstHeadTraversal.Quantity level)`
    `void` | `columnTraversal(T state, DepthFirstHeadTraversal.Quantity level, Column column, Column correspondingColumn, int headerIndex, int bodyIndex, int stackedIndex)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CallbackAdapter

          public CallbackAdapter()

  - ### Method Detail

    - #### beforeTraversal

          public void beforeTraversal(T state,
                                      DepthFirstHeadTraversal.Quantity level)
                               throws E extends java.lang.Throwable

      Specified by:
        `beforeTraversal` in interface `DepthFirstHeadTraversal.Callback<T,E extends java.lang.Throwable>`
      Throws:
        `E extends java.lang.Throwable`

    - #### afterTraversal

          public void afterTraversal(T state,
                                     DepthFirstHeadTraversal.Quantity level)
                              throws E extends java.lang.Throwable

      Specified by:
        `afterTraversal` in interface `DepthFirstHeadTraversal.Callback<T,E extends java.lang.Throwable>`
      Throws:
        `E extends java.lang.Throwable`

    - #### beforeSubtreeTraversal

          public void beforeSubtreeTraversal(T state,
                                             DepthFirstHeadTraversal.Quantity level)
                                      throws E extends java.lang.Throwable

      Specified by:
        `beforeSubtreeTraversal` in interface `DepthFirstHeadTraversal.Callback<T,E extends java.lang.Throwable>`
      Throws:
        `E extends java.lang.Throwable`

    - #### afterSubtreeTraversal

          public void afterSubtreeTraversal(T state,
                                            DepthFirstHeadTraversal.Quantity level)
                                     throws E extends java.lang.Throwable

      Specified by:
        `afterSubtreeTraversal` in interface `DepthFirstHeadTraversal.Callback<T,E extends java.lang.Throwable>`
      Throws:
        `E extends java.lang.Throwable`

    - #### beforeSpanTraversal

          public void beforeSpanTraversal(T state,
                                          DepthFirstHeadTraversal.Quantity level,
                                          java.util.List<Column> columns,
                                          java.util.List<Column> correspondingColumns,
                                          int headerIndex,
                                          int bodyIndex)
                                   throws E extends java.lang.Throwable

      Specified by:
        `beforeSpanTraversal` in interface `DepthFirstHeadTraversal.Callback<T,E extends java.lang.Throwable>`
      Throws:
        `E extends java.lang.Throwable`

    - #### afterSpanTraversal

          public void afterSpanTraversal(T state,
                                         DepthFirstHeadTraversal.Quantity level,
                                         java.util.List<Column> columns,
                                         java.util.List<Column> correspondingColumns,
                                         int headerIndex,
                                         int bodyIndex)
                                  throws E extends java.lang.Throwable

      Specified by:
        `afterSpanTraversal` in interface `DepthFirstHeadTraversal.Callback<T,E extends java.lang.Throwable>`
      Throws:
        `E extends java.lang.Throwable`

    - #### beforeStackedTraversal

          public void beforeStackedTraversal(T state,
                                             DepthFirstHeadTraversal.Quantity level,
                                             Column column,
                                             Column correspondingColumn,
                                             int headerIndex,
                                             int bodyIndex,
                                             int stackedIndex)
                                      throws E extends java.lang.Throwable

      Specified by:
        `beforeStackedTraversal` in interface `DepthFirstHeadTraversal.Callback<T,E extends java.lang.Throwable>`
      Throws:
        `E extends java.lang.Throwable`

    - #### afterStackedTraversal

          public void afterStackedTraversal(T state,
                                            DepthFirstHeadTraversal.Quantity level,
                                            Column column,
                                            Column correspondingColumn,
                                            int headerIndex,
                                            int bodyIndex,
                                            int stackedIndex)
                                     throws E extends java.lang.Throwable

      Specified by:
        `afterStackedTraversal` in interface `DepthFirstHeadTraversal.Callback<T,E extends java.lang.Throwable>`
      Throws:
        `E extends java.lang.Throwable`

    - #### columnTraversal

          public void columnTraversal(T state,
                                      DepthFirstHeadTraversal.Quantity level,
                                      Column column,
                                      Column correspondingColumn,
                                      int headerIndex,
                                      int bodyIndex,
                                      int stackedIndex)
                               throws E extends java.lang.Throwable

      Specified by:
        `columnTraversal` in interface `DepthFirstHeadTraversal.Callback<T,E extends java.lang.Throwable>`
      Throws:
        `E extends java.lang.Throwable`

    - #### beforeChildrenTraversal

          public void beforeChildrenTraversal(T state,
                                              DepthFirstHeadTraversal.Quantity level,
                                              java.util.List<Column> columns,
                                              java.util.List<Column> correspondingColumns)
                                       throws E extends java.lang.Throwable

      Specified by:
        `beforeChildrenTraversal` in interface `DepthFirstHeadTraversal.Callback<T,E extends java.lang.Throwable>`
      Throws:
        `E extends java.lang.Throwable`

    - #### afterChildrenTraversal

          public void afterChildrenTraversal(T state,
                                             DepthFirstHeadTraversal.Quantity level,
                                             java.util.List<Column> columns,
                                             java.util.List<Column> correspondingColumns)
                                      throws E extends java.lang.Throwable

      Specified by:
        `afterChildrenTraversal` in interface `DepthFirstHeadTraversal.Callback<T,E extends java.lang.Throwable>`
      Throws:
        `E extends java.lang.Throwable`

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.